<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PPII: Riferimenti per la struct dati_gioco</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PPII
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generato da Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Cerca');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Pagina&#160;Principale</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classi</span></a></li>
      <li><a href="files.html"><span>File</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Cerca" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Elenco&#160;dei&#160;tipi&#160;composti</span></a></li>
      <li><a href="classes.html"><span>Indice&#160;dei&#160;tipi&#160;composti</span></a></li>
      <li><a href="functions.html"><span>Membri&#160;dei&#160;composti</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Attributi pubblici</a> &#124;
<a href="structdati__gioco-members.html">Elenco di tutti i membri</a>  </div>
  <div class="headertitle">
<div class="title">Riferimenti per la struct dati_gioco</div>  </div>
</div><!--header-->
<div class="contents">

<p>Struttura dati che contiene diverse liste, a loro volta contenenti tutti i dati necessari all'infrastruttura del gioco per funzionare correttamente.  
 <a href="structdati__gioco.html#details">Continua...</a></p>

<p><code>#include &lt;<a class="el" href="dati_8h_source.html">dati.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributi pubblici</h2></td></tr>
<tr class="memitem:a6b650fddfdbd443f8bffde28f1cd6362"><td class="memItemLeft" align="right" valign="top">list&lt; <a class="el" href="structoggetto.html">oggetto</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdati__gioco.html#a6b650fddfdbd443f8bffde28f1cd6362">oggetti</a></td></tr>
<tr class="memdesc:a6b650fddfdbd443f8bffde28f1cd6362"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lista contenente tutte le armi da lancio attive nello scenario.  <a href="#a6b650fddfdbd443f8bffde28f1cd6362">Continua...</a><br /></td></tr>
<tr class="separator:a6b650fddfdbd443f8bffde28f1cd6362"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12e014110bcaf81336ff993a67b292f2"><td class="memItemLeft" align="right" valign="top">list&lt; <a class="el" href="structpersonaggio.html">personaggio</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">personaggi</a></td></tr>
<tr class="memdesc:a12e014110bcaf81336ff993a67b292f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lista contenente tutti i personaggi attivi nello scenario.  <a href="#a12e014110bcaf81336ff993a67b292f2">Continua...</a><br /></td></tr>
<tr class="separator:a12e014110bcaf81336ff993a67b292f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Descrizione dettagliata</h2>
<div class="textblock"><p>Struttura dati che contiene diverse liste, a loro volta contenenti tutti i dati necessari all'infrastruttura del gioco per funzionare correttamente. </p>
</div><h2 class="groupheader">Documentazione dei membri dato</h2>
<a class="anchor" id="a6b650fddfdbd443f8bffde28f1cd6362"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">list&lt;<a class="el" href="structoggetto.html">oggetto</a>&gt; dati_gioco::oggetti</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Lista contenente tutte le armi da lancio attive nello scenario. </p>

</div>
</div>
<a class="anchor" id="a12e014110bcaf81336ff993a67b292f2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">list&lt;<a class="el" href="structpersonaggio.html">personaggio</a>&gt; dati_gioco::personaggi</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Lista contenente tutti i personaggi attivi nello scenario. </p>

</div>
</div>
<hr/>La documentazione per questa struct è stata generata a partire dal seguente file:<ul>
<li><a class="el" href="dati_8h_source.html">dati.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generato Mer 6 Set 2017 17:21:16 per PPII da &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
